Subject: bug#39775: guix pull - error: lmdbxx: unbound variable

From: Martin Flack <[email-masked]>
Date: Tue, 25 Feb 2020 10:29:18 -0700

Ah, you can close this, sorry!

I think the problem was I had copied gnu/packages/databases.scm to a
custom GUIX_PACKAGE_PATH in order to apply a patch from the mailing lists,
without keeping it up-to-date with the rest of the contents of the file as
guix had further commits over time. I know there must be a way to do that
more cleanly where (a) you only override the necessary packages and (b)
somehow it becomes moot or you get notified when that package is upgraded
in mainline; but I have not yet learned how to do that! (Any tutorial?)

Cheers,
Martin

On Tue, Feb 25, 2020 at 8:13 AM zimoun <[email-masked]> wrote:

> Dear,
>
> On Tue, 25 Feb 2020 at 06:45, Martin Flack <[email-masked]> wrote:
>
> > 1 package in profile
> >
> > Backtrace:
> >            1 (primitive-load "/home/mflack/.config/guix/current/bin/…")
> > In guix/ui.scm:
> >   1824:12  0 (run-guix-command _ . _)
> >
> > guix/ui.scm:1824:12: In procedure run-guix-command:
> > error: lmdbxx: unbound variable
>
> Could you provide the output of "guix describe" ? I mean from which
> commit do you pull?
>
> (I am not seeing this error.)
>
>
> All the best,s
> simon
>

-- 

Martin